package com.shulead.datasync.manager;

import com.shulead.datasync.DatasyncApplication;
import jakarta.annotation.Resource;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * @Classname DataSyncManagerTest
 * @Description TODO
 * @Version 1.0.0
 * @Date 2024/5/7 14:39
 * @Created by liuxiangshun
 */
@SpringBootTest(classes = DatasyncApplication.class)
public class DataSyncManagerTest {
    @Resource
    private DataSyncManager dataSyncManager;

    @Test
    public void testInitSyncStudent() {
        dataSyncManager.initSyncStudent(1L, 2);
    }

    @Test
    public void testInitSyncClass() {
        dataSyncManager.initSyncClass(1L, 2);
    }

    @Test
    public void testInitSyncHzqu() {
        dataSyncManager.initSyncHzqy();
    }

    @Test
    public void testInitSyncConsociation() {
        dataSyncManager.initSyncConsociation();
    }
}
